import TwitchRedemption from "../models/twitch-redemption";
import { toDictStringKeyed } from "../utils/array.transformer";

export function toTwitchRedemptionDict(values: TwitchRedemption[] | null): { [key: string]: TwitchRedemption } {
  if (!values) {
    return {};
  }

  return toDictStringKeyed(values, r => r.id, r => r);
}

export function toTwitchRedemptionArray(values: { [id: string]: TwitchRedemption } | null): TwitchRedemption[] {
  if (!values) {
    return [];
  }

  return Object.values(values);
}