import { Component, inject, input } from '@angular/core';
import { Filter } from '../../shared/models/filter';
import { MatCardModule } from '@angular/material/card';
import { MatMenuModule } from '@angular/material/menu';
import { MatIconModule } from '@angular/material/icon';
import { MatDialog } from '@angular/material/dialog';
import { FilterItemEditComponent } from '../filter-item-edit/filter-item-edit.component';
import { MatButtonModule } from '@angular/material/button';
import { HermesClientService } from '../../hermes-client.service';

@Component({
  selector: 'tts-filter-item',
  standalone: true,
  imports: [
    MatButtonModule,
    MatCardModule,
    MatMenuModule,
    MatIconModule
  ],
  templateUrl: './filter-item.component.html',
  styleUrl: './filter-item.component.scss'
})
export class FilterItemComponent {
  item = input.required<Filter>();

  private readonly client = inject(HermesClientService);
  private readonly dialog = inject(MatDialog);

  delete() {
    this.client.deleteTTSFilter(this.item().id);
  }

  openDialog(): void {
    this.dialog.open(FilterItemEditComponent, {
      data: { id: this.item().id, search: this.item().search, replace: this.item().replace, flag: this.item().flag },
    });
  }
}